Gnome-do crashes when Preferences window is shown for the first time

Bug #448094 reported by dreamersbrow on 2009-10-10
50
This bug affects 10 people
Affects Status Importance Assigned to Milestone
Do
Medium
Robert Dyer
gnome-do (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: gnome-do

Here is the output from running gnome-do --debug in the terminal.

[Debug 10:52:15.191] [SystemService] Using org.freedesktop.DeviceKit.Power for battery information
[Info 10:52:15.199] [Services] Successfully located service of type ILogService.
[Info 10:52:15.199] [Services] Successfully located service of type IPreferencesService.
[Info 10:52:15.200] [Services] Successfully located service of type ISecurePreferencesService.
[Info 10:52:15.254] [Services] Successfully located service of type INotificationsService.
[Debug 10:52:15.256] [InterfaceManager] "Glass" interface was loaded
[Info 10:52:15.270] [Services] Successfully located service of type ILogService.
[Debug 10:52:15.270] [InterfaceManager] "Docky" interface was loaded
[Debug 10:52:15.270] [InterfaceManager] "Mini" interface was loaded
[Debug 10:52:15.272] [InterfaceManager] "Classic" interface was loaded
[Debug 10:52:15.273] [InterfaceManager] "Nouveau" interface was loaded
[Debug 10:52:15.276] [PluginManager] Loaded "NotesItemSource" from plugin.
[Info 10:52:15.282] [Services] Successfully located service of type IPreferencesService.
[Info 10:52:15.282] [Services] Successfully located service of type ISecurePreferencesService.
[Info 10:52:15.288] [Services] Successfully located service of type ICoreService.
[Info 10:52:15.290] [Services] Successfully located service of type INetworkService.
[Debug 10:52:15.296] [PluginManager] Loaded "WeatherItemSource" from plugin.
[Info 10:52:15.298] [Services] Successfully located service of type AbstractApplicationService.
[Debug 10:52:15.299] [PluginManager] Loaded "InternalItemSource" from plugin.
[Debug 10:52:15.299] [PluginManager] Loaded "ItemSourceItemSource" from plugin.
[Debug 10:52:15.301] [PluginManager] Loaded "PlacesItemSource" from plugin.
[Debug 10:52:15.302] [PluginManager] Loaded "ApplicationItemSource" from plugin.
[Debug 10:52:15.302] [PluginManager] Loaded "GNOMESpecialLocationsItemSource" from plugin.
[Debug 10:52:15.303] [PluginManager] Loaded "ProfileItemSource" from plugin.
[Debug 10:52:15.304] [PluginManager] Loaded "SessionCommandsItemSource" from plugin.
[Debug 10:52:15.304] [PluginManager] Loaded "ScreenshotItemSource" from plugin.
[Debug 10:52:15.311] [PluginManager] Loaded "ScreenItemSource" from plugin.

(Do:26350): Wnck-CRITICAL **: wnck_set_client_type got called multiple times.

[Info 10:52:15.340] [Services] Successfully located service of type PathsService.
[Debug 10:52:15.341] [PluginManager] Loaded "WindowItemSource" from plugin.
[Debug 10:52:15.342] [PluginManager] Loaded "EmailAction" from plugin.
[Debug 10:52:15.342] [PluginManager] Loaded "OpenAction" from plugin.
[Debug 10:52:15.347] [PluginManager] Loaded "OpenUrlAction" from plugin.
[Debug 10:52:15.347] [PluginManager] Loaded "OpenWithAction" from plugin.
[Debug 10:52:15.347] [PluginManager] Loaded "RevealAction" from plugin.
[Debug 10:52:15.348] [PluginManager] Loaded "RunAction" from plugin.
[Debug 10:52:15.348] [PluginManager] Loaded "OpenSearchAction" from plugin.
[Debug 10:52:15.349] [PluginManager] Loaded "PastebinAction" from plugin.
[Debug 10:52:15.349] [PluginManager] Loaded "NewNoteAction" from plugin.
[Debug 10:52:15.349] [PluginManager] Loaded "SearchNotesAction" from plugin.
[Debug 10:52:15.350] [PluginManager] Loaded "DefineAction" from plugin.
[Debug 10:52:15.350] [PluginManager] Loaded "CopyToClipboardAction" from plugin.
[Debug 10:52:15.351] [PluginManager] Loaded "MakeUrlTinyAction" from plugin.
[Debug 10:52:15.351] [PluginManager] Loaded "RunInTerminalAction" from plugin.
[Debug 10:52:15.351] [PluginManager] Loaded "OpenTerminalHereAction" from plugin.
[Debug 10:52:15.352] [PluginManager] Loaded "GoogleCalculatorAction" from plugin.
[Debug 10:52:15.352] [PluginManager] Loaded "TakeScreenshotAction" from plugin.
[Debug 10:52:15.353] [PluginManager] Loaded "WindowMinimizeAction" from plugin.
[Debug 10:52:15.353] [PluginManager] Loaded "WindowMaximizeAction" from plugin.
[Debug 10:52:15.353] [PluginManager] Loaded "WindowCloseAction" from plugin.
[Debug 10:52:15.353] [PluginManager] Loaded "WindowFocusAction" from plugin.
[Debug 10:52:15.353] [PluginManager] Loaded "WindowMoveAction" from plugin.
[Debug 10:52:15.353] [PluginManager] Loaded "ScreenTileAction" from plugin.
[Debug 10:52:15.353] [PluginManager] Loaded "ScreenCascadeAction" from plugin.
[Debug 10:52:15.354] [PluginManager] Loaded "ScreenRestoreAction" from plugin.
[Debug 10:52:15.354] [PluginManager] Loaded "ScreenSwapAction" from plugin.
[Debug 10:52:15.354] [PluginManager] Loaded "ShowDesktopAction" from plugin.
[Info 10:52:15.355] [Services] Successfully located service of type AbstractSystemService.
[Debug 10:52:15.356] [SystemService] No other application instance detected. Continue startup.
[Debug 10:52:15.368] [Controller] Setting theme Classic Interface
[Info 10:52:15.576] [UniverseManager] Reloading universe...
[Debug 10:52:15.576] [UniverseManager] Reloading actions...
[Debug 10:52:15.585] [UniverseManager] Reloading item source "Tomboy Notes"...
Could not locate Tomboy on D-Bus. Perhaps it's not running?
[Debug 10:52:15.618] [UniverseManager] Reloading item source "Weather Commands"...
[Debug 10:52:15.619] [UniverseManager] Reloading item source "Internal GNOME Do Items"...
[Debug 10:52:15.634] [UniverseManager] Reloading item source "GNOME Do Item Sources"...
[Debug 10:52:15.636] [UniverseManager] Reloading item source "Firefox Places"...
Firefox.PlacesItemSource "Firefox Places" encountered an error in UpdateItems: Object reference not set to an instance of an object.
[Debug 10:52:15.736] [UniverseManager] Reloading item source "Applications"...
[Debug 10:52:15.911] [UniverseManager] Reloading item source "GNOME Special Locations"...
[Debug 10:52:15.922] [UniverseManager] Reloading item source "GNOME Terminal Profiles"...
[Debug 10:52:15.929] [UniverseManager] Reloading item source "GNOME Session Commands"...
[Debug 10:52:15.930] [UniverseManager] Reloading item source "GNOME Screenshot Items"...
[Debug 10:52:15.933] [UniverseManager] Reloading item source "Window Screen Items"...
[Debug 10:52:15.933] [UniverseManager] Reloading item source "Generic Window Items"...
[Info 10:52:15.933] [UniverseManager] Universe contains 385 items.
[Info 10:52:15.936] [AbstractWeatherSource] Weather Underground: Reloading weather data
[Debug 10:52:16.003] [AbstractWeatherSource] Weather Underground: Fetching XML file 'http://api.wunderground.com/auto/wui/geo/WXCurrentObXML/index.xml?query=50014'
[Debug 10:52:21.446] [AbstractWeatherSource] Weather Underground: Fetching XML file 'http://api.wunderground.com/auto/wui/geo/ForecastXML/index.xml?query=50014'
[Info 10:52:21.478] [Services] Successfully located service of type IWindowingService.
[Info 10:52:22.741] [SystemService] Unable to load existing autostart file: Error stating file '/home/rhouk/.config/autostart/gnome-do.desktop': No such file or directory
[Info 10:52:22.741] [SystemService] Writing new autostart file to /home/rhouk/.config/autostart/gnome-do.desktop
[Debug 10:52:23.819] [Controller] Setting theme Glass
Marshaling activate signal
Exception in Gtk# callback delegate
  Note: Applications can use GLib.ExceptionManager.UnhandledException to handle the exception.
System.Reflection.TargetInvocationException: Exception has been thrown by the target of an invocation. ---> GLib.MissingIntPtrCtorException: GLib.Object subclass Do.Interface.ClassicWindow must provide a protected or public IntPtr ctor to support wrapping of native object handles.
  at GLib.ObjectManager.CreateObject (IntPtr raw) [0x00000]
  at GLib.Object.GetObject (IntPtr o, Boolean owned_ref) [0x00000]
  at GLib.Object.GetObject (IntPtr o) [0x00000]
  at Gtk.Grab.get_Current () [0x00000]
  at Do.Core.Controller.ShowPreferences () [0x00000]
  at Do.Universe.PreferencesItem.Run () [0x00000]
  at Do.UI.MainMenu+<MenuItemFromRunnableItem>c__AnonStorey12.<>m__2A (System.Object sender, System.EventArgs e) [0x00000]
  at (wrapper managed-to-native) System.Reflection.MonoMethod:InternalInvoke (object,object[],System.Exception&)
  at System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) [0x00000]
  --- End of inner exception stack trace ---
  at System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) [0x00000]
  at System.Reflection.MethodBase.Invoke (System.Object obj, System.Object[] parameters) [0x00000]
  at System.Delegate.DynamicInvokeImpl (System.Object[] args) [0x00000]
  at System.MulticastDelegate.DynamicInvokeImpl (System.Object[] args) [0x00000]
  at System.Delegate.DynamicInvoke (System.Object[] args) [0x00000]
  at GLib.Signal.ClosureInvokedCB (System.Object o, GLib.ClosureInvokedArgs args) [0x00000]
  at GLib.SignalClosure.Invoke (GLib.ClosureInvokedArgs args) [0x00000]
  at GLib.SignalClosure.MarshalCallback (IntPtr raw_closure, IntPtr return_val, UInt32 n_param_vals, IntPtr param_values, IntPtr invocation_hint, IntPtr marshal_data) [0x00000]
   at GLib.ExceptionManager.RaiseUnhandledException(System.Exception e, Boolean is_terminal)
   at GLib.SignalClosure.MarshalCallback(IntPtr raw_closure, IntPtr return_val, UInt32 n_param_vals, IntPtr param_values, IntPtr invocation_hint, IntPtr marshal_data)
   at Gtk.Application.gtk_main()
   at Gtk.Application.Run()
   at Do.Do.Main(System.String[] args)

ProblemType: Bug
Architecture: amd64
Date: Sat Oct 10 10:53:54 2009
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: nvidia
Package: gnome-do 0.8.2+dfsg-1
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-13.43-generic
SourcePackage: gnome-do
Uname: Linux 2.6.31-13-generic x86_64

dreamersbrow (houk-ron) wrote :
Robert Dyer (psybers) on 2009-10-15
Changed in do:
importance: Undecided → Medium
GonzaloPanizo (gonzalo-panizo) wrote :
Download full text (8.3 KiB)

Even after reinstall it didnt launch.
It fixed, however, after running gnome-do --debug

This is the message I get now when running it on the terminal:

Could not read MPD database file: ApplicationName='/usr/bin/mpc', CommandLine='playlist --format ":%title%:%artist%:%album%:%file%"', CurrentDirectory=''

(Do:2620): Wnck-CRITICAL **: wnck_set_client_type got called multiple times.

Could not read MPD database file: ApplicationName='/usr/bin/mpc', CommandLine='playlist --format ":%title%:%artist%:%album%:%file%"', CurrentDirectory=''
Could not locate Tomboy on D-Bus. Perhaps it's not running?

And this is the message I got when I first run it with the debug option:

WARNING: [Do.Banshee,1.0] Could not load some add-in assemblies: File '/usr/lib/banshee-1/Banshee.CollectionIndexer.dll' not found.
ERROR: Errors found in add-in '/usr/lib/gnome-do/plugins/Banshee.dll:
ERROR: The file '/usr/lib/banshee-1/Banshee.CollectionIndexer.dll' referenced in the manifest could not be found.
[Debug 22:27:44.860] [SystemService] Using org.freedesktop.DeviceKit.Power for battery information
[Info 22:27:44.869] [Services] Successfully located service of type ILogService.
[Info 22:27:44.870] [Services] Successfully located service of type IPreferencesService.
[Info 22:27:44.871] [Services] Successfully located service of type ISecurePreferencesService.
[Info 22:27:44.877] [Services] Successfully located service of type INotificationsService.
[Debug 22:27:44.880] [InterfaceManager] "Glass" interface was loaded
[Info 22:27:44.882] [Services] Successfully located service of type ILogService.
[Debug 22:27:44.882] [InterfaceManager] "Docky" interface was loaded
[Debug 22:27:44.883] [InterfaceManager] "Mini" interface was loaded
[Debug 22:27:44.883] [InterfaceManager] "Classic" interface was loaded
[Debug 22:27:44.884] [InterfaceManager] "Nouveau" interface was loaded
[Debug 22:27:44.902] [PluginManager] Loaded "MPDMusicItemSource" from plugin.
[Debug 22:27:44.903] [PluginManager] Loaded "ApplicationItemSource" from plugin.
[Debug 22:27:44.904] [PluginManager] Loaded "GNOMESpecialLocationsItemSource" from plugin.
[Debug 22:27:44.905] [PluginManager] Loaded "NotesItemSource" from plugin.
[Info 22:27:44.913] [Services] Successfully located service of type IPreferencesService.
[Info 22:27:44.913] [Services] Successfully located service of type ISecurePreferencesService.
[Info 22:27:44.922] [Services] Successfully located service of type ICoreService.
[Info 22:27:44.924] [Services] Successfully located service of type INetworkService.
[Debug 22:27:44.929] [PluginManager] Loaded "WeatherItemSource" from plugin.
[Info 22:27:44.931] [Services] Successfully located service of type AbstractApplicationService.
[Debug 22:27:44.932] [PluginManager] Loaded "InternalItemSource" from plugin.
[Debug 22:27:44.932] [PluginManager] Loaded "ItemSourceItemSource" from plugin.
[Debug 22:27:44.934] [PluginManager] Loaded "PlacesItemSource" from plugin.
[Debug 22:27:44.935] [PluginManager] Loaded "SessionCommandsItemSource" from plugin.
[Debug 22:27:44.936] [PluginManager] Loaded "ProfileItemSource" from plugin.
[Debug 22:27:44.937] [PluginManager] Loaded "FileItemSource" from plu...

Read more...

Download full text (13.2 KiB)

Distro bug filed against openSUSE 11.2 (which I run), fwiw: https://bugzilla.novell.com/show_bug.cgi?id=547744

Running `gnome-do --debug` didn't fix it; the problem just goes away after the first crash. I modified /usr/bin/gnome-do to use `mono --debug` and got the following if it's helpful:

[sys] ~
$ gconftool-2 --recursive-unset /apps/gnome-do
[sys] ~
$ gnome-do --debug
[Debug 14:31:04.953] [SystemService] Using org.freedesktop.DeviceKit.Power for battery information
[Info 14:31:04.961] [Services] Successfully located service of type ILogService.
[Info 14:31:04.961] [Services] Successfully located service of type IPreferencesService.
[Info 14:31:04.963] [Services] Successfully located service of type ISecurePreferencesService.
[Info 14:31:04.972] [Services] Successfully located service of type INotificationsService.
[Debug 14:31:04.975] [InterfaceManager] "Classic" interface was loaded
[Info 14:31:04.976] [Services] Successfully located service of type ILogService.
[Debug 14:31:04.976] [InterfaceManager] "Docky" interface was loaded
[Debug 14:31:04.977] [InterfaceManager] "Nouveau" interface was loaded
[Debug 14:31:04.977] [InterfaceManager] "Glass" interface was loaded
[Debug 14:31:04.979] [InterfaceManager] "Mini" interface was loaded
[Debug 14:31:04.984] [PluginManager] Loaded "PidginContactItemSource" from plugin.
[Debug 14:31:04.984] [PluginManager] Loaded "PidginAccountItemSource" from plugin.
[Debug 14:31:04.985] [PluginManager] Loaded "PidginSavedStatusItemSource" from plugin.
[Info 14:31:04.987] [Services] Successfully located service of type AbstractApplicationService.
[Debug 14:31:04.988] [PluginManager] Loaded "InternalItemSource" from plugin.
[Debug 14:31:04.988] [PluginManager] Loaded "ItemSourceItemSource" from plugin.
[Debug 14:31:04.989] [PluginManager] Loaded "ApplicationItemSource" from plugin.
[Debug 14:31:04.989] [PluginManager] Loaded "GNOMESpecialLocationsItemSource" from plugin.
[Debug 14:31:04.990] [PluginManager] Loaded "SessionCommandsItemSource" from plugin.
[Debug 14:31:05.034] [PluginManager] Loaded "MediaItemSource" from plugin.
[Debug 14:31:05.036] [PluginManager] Loaded "NotesItemSource" from plugin.
[Debug 14:31:05.040] [PluginManager] Loaded "PidginChatAction" from plugin.
[Debug 14:31:05.041] [PluginManager] Loaded "PidginSetStatusAction" from plugin.
[Debug 14:31:05.041] [PluginManager] Loaded "PidginEnableAccount" from plugin.
[Debug 14:31:05.042] [PluginManager] Loaded "PidginDisableAccount" from plugin.
[Debug 14:31:05.042] [PluginManager] Loaded "EmailAction" from plugin.
[Debug 14:31:05.042] [PluginManager] Loaded "OpenAction" from plugin.
[Debug 14:31:05.069] [PluginManager] Loaded "OpenUrlAction" from plugin.
[Debug 14:31:05.069] [PluginManager] Loaded "OpenWithAction" from plugin.
[Debug 14:31:05.069] [PluginManager] Loaded "RevealAction" from plugin.
[Debug 14:31:05.069] [PluginManager] Loaded "RunAction" from plugin.
[Debug 14:31:05.070] [PluginManager] Loaded "PastebinAction" from plugin.
[Debug 14:31:05.070] [PluginManager] Loaded "CopyToClipboardAction" from plugin.
[Debug 14:31:05.070] [PluginManager] Loaded "PlayAction" from plugin.
[Debug 14:31:05.071] [PluginManager] Loaded "Pau...

summary: - Gnome-do crashes on first startup when selecting preferences
+ Gnome-do crashes when Preferences window is shown for the first time

This bug is not a crasher in trunk.

A patch to fix the crash in 0.8.2 is available here: https://bugzillafiles.novell.org/attachment.cgi?id=323557

Thanks to Robert Dyer for figuring this out.

Robert Dyer (psybers) wrote :

Crashes in 0.8.2 but in trunk it was just resetting the default theme to something else.

Either way, fixed in trunk and backported to 0.8.2 by Sandy. Thanks Sandy! :-)

Changed in do:
assignee: nobody → Robert Dyer (psybers)
status: New → Fix Committed
Changed in do:
status: Fix Committed → Fix Released
milestone: none → 0.8.3
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-do - 0.8.3.1+dfsg-1

---------------
gnome-do (0.8.3.1+dfsg-1) unstable; urgency=low

  * New upstream bugfix release: (Closes: 561271)
    + Fixes for network status detection (Closes: #543517, #543778)
      (LP: #422461)
    + Fixes misleading "Start GNOME Do at login" checkbox (LP: #398303)
    + Fixes a number of crash bugs in the Trash docklet (LP: #439731)
      (Closes: #552239)
    + Fixes problems with the naming of the default theme, leading to crashes.
      (LP: #475871, #448094)
    + Fixes startup problems when run by users with usernames > 9 characters
      long. (LP: #439949)
  * debian/patches/02_use_cli_for_wrapper:
    + Refresh for new upstream changes
  * debian/patches/11_fix_autostart_when_directory_does_not_exist:
    + Drop; included upstream.
  * debian/control
    + Add Breaks on gnome-do-plugins < 0.8.2. Do now handles plugins
      slightly differently. This prevents users being surprised about
      missing plugins on upgrade. (Closes: #541708)
    + Bump Build-Dep on mono-devel to (>= 2.4.2.3) for mono-csc.
    + Transition to -cil-dev packages for Build-Dependends.
    + Bump Standards-Version to 3.8.3; no changes needed.
  * debian/rules:
    + Use mono-csc instead of csc for MCS
    + Pass -f -i to autoreconf to keep the buildsystem's libtool in sync
      with Debian's. Fixes libtool-related FTBFS (Closes: #560645)
    + Apply ltmain-add-as-needed.patch after autoreconf-ing for --as-needed
      magic.
    + Pass --as-needed to the linker to eliminate dependencies on unneeded
      libs.
  * debian/README.source:
    + Add to really comply with policy; we've got a patch system!
  * debian/ltmain-add-as-needed.patch:
    + Patch to add --as-needed magic to ltmain.sh
 -- Ubuntu Archive Auto-Sync <email address hidden> Mon, 01 Feb 2010 23:58:19 +0000

Changed in gnome-do (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.